package mockbrokerdriver

import (
	"query-service/internal/adapters/brokeradapter"
	"query-service/internal/drivers/brokerdriver"
)

// Driver is mock gateway
type Driver struct {
	gateway brokeradapter.GatewayInterface
}

// CreateBroker is a creates a mock driver
func CreateBroker(gateway brokeradapter.GatewayInterface) *Driver {
	return &Driver{
		gateway: gateway,
	}
}

// CreateConsumer creates a mock consumer
func (d *Driver) CreateConsumer() brokerdriver.Consumer {
	return &Consumer{
		broker: d,
	}
}
